
Packaging - Bug #5787

Packages for clamp need to be patched to support translations

05/19/2014 11:13 AM - Tomáš Strachota

Status: Closed   

Priority: Normal   

Assignee: Tomáš Strachota   

Category:    

Target version: 1.7.5   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-p

ackaging/pull/309

  

Description

There's a PR on Clamp to support translations. It's still pending review and merge in the upstream.

Since we need the translations fast we should update our rpm and deb packages to apply the patch. We'll remove it once it get's

merged upstream.

https://github.com/mdub/clamp/pull/43

Related issues:

Related to Hammer CLI - Feature #3666: i18n support Closed 11/15/2013

Related to Hammer CLI - Feature #4475: internal Clamp strings should be local... Closed 02/27/2014

Associated revisions

Revision 91f7f855 - 08/11/2014 10:19 AM - Tomáš Strachota

refs #5787 - i18n support for clamp

Revision 9e2b75ed - 08/13/2014 09:25 AM - Dominic Cleal

Merge pull request #309 from tstrachota/clamp_i18n

refs #5787 - i18n support for clamp

History

#1 - 05/19/2014 11:14 AM - Tomáš Strachota

- Related to Feature #3666: i18n support added

#2 - 05/19/2014 11:14 AM - Tomáš Strachota

- Related to Feature #4475: internal Clamp strings should be localized added

#3 - 07/30/2014 09:18 AM - Tomáš Strachota

- Target version set to 1.7.5

#4 - 08/06/2014 07:21 AM - Tomáš Strachota

- Status changed from New to Assigned

- Assignee set to Tomáš Strachota

#5 - 08/08/2014 05:02 AM - Dominic Cleal

Would it be better to make a small fork, e.g. clamp-i18n?  Just push a new gem and we can rename the packages.  This way gem and git checkout

users could enjoy the i18n features too.

#6 - 08/11/2014 10:01 AM - Tomáš Strachota

- Status changed from Assigned to Ready For Testing
https://github.com/mdub/clamp/pull/43


- Pull request https://github.com/theforeman/foreman-packaging/pull/309 added

- Pull request deleted ()

#7 - 08/19/2014 04:36 AM - Tomáš Strachota

- Status changed from Ready For Testing to Closed
